Name:		gluster-colonizer
Version:	1.0.4
Release:	3%{?dist}
%global sum	Installer for gluster storage for preconfigured hardware
Summary:	%{sum}

License:	GPLv3

URL:		https://github.com/gluster/gluster-colonizer.git
Source0:	https://github.com/gluster/gluster-colonizer/archive/v%{version}.tar.gz
Source1:        branding.yml
Patch0:         0001-update-perf-test-mount-path-and-working-dir-add-play.patch
Patch1: 	0002-initial-logic-to-collect-NTP-info-and-plays-to-modif.patch
Patch2: 	0003-global-update_ntp-add-ntp-to-verification-output.patch
Patch3: 	0004-change-lineinfile-to-replace-to-catch-all-instances-.patch
Patch4:	        0005-add-data-validation-for-ntp-servers.patch
Patch5:	        0006-syntax-fix-for-re-match.patch
Patch6:	        0007-indent-NTP-input-request.patch
Patch7:	        0008-add-plays-to-create-ganesha.conf-symlink-to-address-.patch
Patch8:         0009-add-space-before-hostname-in-etc-hosts-regex-to-fix-.patch
Patch9:         0010-change-delegate_to-for-peer-probe-play-to-match-the-.patch
Patch10:        0011-fix-the-version-in-setup.patch
Patch11:        0001-downstream-specific-patch-for-v1.0.4.patch 

BuildRequires:  python2-devel, python-gluster, python-setuptools
BuildArch:	noarch
Requires:       python-netaddr, gdeploy, ansible, python-gluster-zeroconf, gluster-zeroconf-avahi, fio

%description
gluster-colonizer is best thought of as an opinionated installer for Gluster Storage. 
It solves the problem of quick deployment of Gluster for customers who have purchased
hardware that has been pre-validated for use with the Colonizer tool.


%prep
%setup -n %{name}-%{version}
cp -p %{SOURCE1} .

%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 
%patch10 -p1
%patch11 -p1



%build
%py2_build

%install
mkdir -p %{buildroot}%{_bindir}/
install -D -p -m 0755 gluster-colonizer.py %{buildroot}%{_bindir}/gluster-colonizer.py
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p -r oemid  %{buildroot}%{_datadir}/%{name}
cp -p -r resources  %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/playbook
cp -p branding.yml %{buildroot}%{_datadir}/%{name}/
cp -p -r ansible %{buildroot}%{_datadir}/%{name}/playbook
rm -f %{buildroot}%{_datadir}/%{name}/oemid/g1-id-kvm-media.yml
rm -f %{buildroot}%{_datadir}/%{name}/oemid/g1-id-kvm-nas.yml
rm -f %{buildroot}%{_datadir}/%{name}/oemid/verify-storchris.yml
rm -f %{buildroot}%{_datadir}/%{name}/oemid/verify-vagrant.yml
rm -f %{buildroot}%{_datadir}/%{name}/playbook/ansible/g1-smb-ctdb.yml


%py2_install


%files
%license LICENSE
%doc README.md
%{_bindir}/gluster-colonizer.py
%{_datadir}/%{name}/
%{python2_sitelib}/gluster_colonizer*.egg-info
%{python2_sitelib}/%{name}/gluster-colonizer.py*

%changelog
* Thu Mar 08 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> -1.0.4-3
- Resolves: #1553011 - Colonizer deployment fails at volume create 
                       due to one host not being peer probed when 
                       hostnames are entered manually  


* Wed Mar 07 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> -1.0.4-2
- Resolves: #1546748 - nfs-ganesha service getting started only on
                       node where colonizer is being executed

* Mon Feb 26 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.4-1
- New Source v1.0.4
- Resolves: #1546748 - nfs-ganesha service getting started only on
                       node where colonizer is being executed
- Resolves: #1549043 - Downstream specific path for gluster-colonizer 
                       playbook path 


* Mon Feb 19 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.3-1
- New Source v1.0.3
- Resolves: #1544917 - Colonizer should abort on any ansible play 
                       failures
- Resolves: #1545957 - Entries in /etc/hosts file can be overwritten 
                       by playbook due to bad regex

* Fri Feb 16 2018 Ramakrishna Reddy Yekulla <reddy@redhat.com> - 1.0.2-1
- New source v1.0.2, resolves filepath changes
- Resolves: #1489473 -  [RFE] Request to add the RHS ONE colonizer tool 
                        to the main gluster release
                    
* Tue Feb 06 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.1-2
- Fixed yml files in the oemid path
- Resolves: #1489473 -  [RFE] Request to add the RHS ONE colonizer tool
                        to the main gluster release


* Mon Feb 05 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.1-1
- Adding new sources from upstream gluster-colonizer repository
- Adding the Branding YAML file for RHSOne
- Resolves: #1489473 -  [RFE] Request to add the RHS ONE colonizer tool
                        to the main gluster release




* Tue Nov 28 2017 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.0-6
- Adding python-gluster-zeroconf subpackage as requires
- Adding gluster-zeroconf-avahi subpackage as requires
- Resolves: #1518206 - python-gluster-zeroconf and gluster-zeroconf-avahi
                       subpackages as dependencies to gluster-colonizer.


* Wed Nov 15 2017 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 0.1.0-3
- removing the setuptools reference
- rhbz : #1489473


* Tue Nov 7 2017 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 0.1.0-2
- updated to upstream 1.0.0 release 
- Resolves: #1489473 - 	[RFE] Request to add the RHS ONE colonizer tool 
                        to the main gluster release 

